Package com.snowflake.snowpark_java.types

## Class ArrayType

- java.lang.Object
- - com.snowflake.snowpark_java.types.DataType
  - - com.snowflake.snowpark_java.types.ArrayType

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ArrayType
      extends DataType

  Array data type. This maps to ARRAY data type in Snowflake.
  Since:
    0.9.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` | Verifies if a DataType equals to this one.
    `DataType` | `getElementType()` | Retrieves the type of this array's element.
    `int` | `hashCode()` | Calculates the hash code of this Array Type Object.
    `java.lang.String` | `toString()` | Generates a String value to represent this array type.

    - ### Methods inherited from class com.snowflake.snowpark_java.types.DataType

      `typeName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getElementType

          public DataType getElementType()

      Retrieves the type of this array's element.
      Returns:
        A DataType object representing the element type of this array.
      Since:
        0.9.0

    - #### toString

          public java.lang.String toString()

      Generates a String value to represent this array type.
      Overrides:
        `toString` in class `DataType`
      Returns:
        A String value in the format of "ArrayType['element type']"
      Since:
        0.9.0

    - #### equals

          public boolean equals​(java.lang.Object other)

      Verifies if a DataType equals to this one.
      Overrides:
        `equals` in class `DataType`
      Parameters:
        `other` - A DataType object
      Returns:
        true if these data types are equivalent, false for otherwise.
      Since:
        0.9.0

    - #### hashCode

          public int hashCode()

      Calculates the hash code of this Array Type Object.
      Overrides:
        `hashCode` in class `DataType`
      Returns:
        An int number representing the hash code value
      Since:
        0.9.0